Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.lib
Class TestCases

    java.lang.Object
      com.sun.javatest.lib.TestCases

    public class TestCases

extends java.lang.Object

A handler for the set of test cases in a test. Test cases are those methods with no args that return a `status`. Test cases can be explicitly selected into or excluded from the set.

Nested Class Summary
`static class` | `TestCases.Fault` Exception used to report internal errors.

Constructor Summary
`TestCases(Test t, java.io.PrintWriter log)` Create an object to handle the test cases of the given test.

Method Summary
`java.util.Enumeration` | `enumerate()` Return an enumeration of the selected test cases, based on the select and exclude calls that have been made, if any.
`void` | `exclude(java.lang.String testCaseNames)` Explicitly exclude a set of test cases by name.
`void` | `exclude(java.lang.String[] testCaseNames)` Explicitly exclude a set of test cases by name.
`Status` | `invokeTestCases()` Invoke each of the selected test cases, based upon the select and exclude calls that have been made, if any.
`protected void` | `printStackTrace(java.lang.Throwable t)` Print a stack trace for an exception to the log.
`void` | `select(java.lang.String testCaseNames)` Explicitly select a set of test cases by name.
`void` | `select(java.lang.String[] testCaseNames)` Explicitly select a set of test cases by name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCases

    public TestCases(Test t,
                     java.io.PrintWriter log)

  Create an object to handle the test cases of the given test.

  Parameters:
    `t` - The test containing the test cases.
    `log` - An optional stream to which to write log messages. Use null if messages are not desired.

Method Detail

### select

    public void select(java.lang.String testCaseNames)
                throws TestCases.Fault

  Explicitly select a set of test cases by name. Subsequent calls are cumulative; if no selections are made, the default is all test cases are selected. Excluded tests will be excluded from the selection; the order of select and exclude calls does not matter.

  Parameters:
    `testCaseNames` - a comma-separated list of test cases names. Each name must identify a method in the test object, that takes no arguments and returns a `status`.
  Throws:
    `TestCases.Fault` - if any of the test case names are invalid.

### select

    public void select(java.lang.String[] testCaseNames)
                throws TestCases.Fault

  Explicitly select a set of test cases by name. Subsequent calls are cumulative; if no selections are made, the default is all test cases are selected. Excluded tests will be excluded from the selection; the order of select and exclude calls does not matter.

  Parameters:
    `testCaseNames` - an array of test cases names. Each name must identify a method in the test object, that takes no arguments and returns a `status`.
  Throws:
    `TestCases.Fault` - if any of the test case names are invalid.

### exclude

    public void exclude(java.lang.String testCaseNames)
                 throws TestCases.Fault

  Explicitly exclude a set of test cases by name. Subsequent calls are cumulative; by default, no test cases are excluded.

  Parameters:
    `testCaseNames` - a comma-separated list of test cases names. Each name must identify a method in the test object, that takes no arguments and returns a `status`.
  Throws:
    `TestCases.Fault` - if any of the test case names are invalid.

### exclude

    public void exclude(java.lang.String[] testCaseNames)
                 throws TestCases.Fault

  Explicitly exclude a set of test cases by name. Subsequent calls are cumulative; by default, no test cases are excluded.

  Parameters:
    `testCaseNames` - an array of test cases names. Each name must identify a method in the test object, that takes no arguments and returns a `status`.
  Throws:
    `TestCases.Fault` - if any of the test case names are invalid.

### enumerate

    public java.util.Enumeration enumerate()

  Return an enumeration of the selected test cases, based on the select and exclude calls that have been made, if any.

  Returns:
    An enumeration of the test cases.

### invokeTestCases

    public Status invokeTestCases()

  Invoke each of the selected test cases, based upon the select and exclude calls that have been made, if any. If the test object provides a public method `Status`invokeTestCase(`Method`) that method will be called to invoke the test cases; otherwise, the test cases will be invoked directly. It is an error if no test cases are selected, (or if they have all been excluded.)

  Returns:
    the combined result of executing all the test cases.

### printStackTrace

    protected void printStackTrace(java.lang.Throwable t)

  Print a stack trace for an exception to the log.

  Parameters:
    `t` - The Throwable for which to print the trace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.